Get the job status of the bulk deposit address creation
Returns the current status of (or an error for) the specified deposit addresss bulk creation job.
Endpoint Permissions: Admin, Non-Signing Admin, Signer, Approver, Editor, and Viewer.
GET
/
vault
/
accounts
/
addresses
/
bulk
/
{jobId}
TypeScript
const response: Promise<FireblocksResponse<CreateMultipleDepositAddressesJobStatus>> = fireblocks.vaults.getCreateMultipleDepositAddressesJobStatus(vaultsApiGetCreateMultipleDepositAddressesJobStatusRequest);CompletableFuture<ApiResponse<CreateMultipleDepositAddressesJobStatus>> response = fireblocks.vaults().getCreateMultipleDepositAddressesJobStatus(jobId);response = fireblocks.vaults.get_create_multiple_deposit_addresses_job_status(job_id);curl --request GET \
--url https://api.fireblocks.io/v1/vault/accounts/addresses/bulk/{jobId}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/vault/accounts/addresses/bulk/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Success",
"addresses": [
{
"address": "addr_test1qp07k5kdwdfx4rpfqud8ry65acxgtgfgrxw0t35cwvl4uasjneqjdc868eqlex5p2f0nyekyyk4ze5xuanvj50ysrj3qqxqhsn",
"index": 0,
"description": "Address one"
}
],
"errorMessage": "Asset not supported"
}{
"message": "<string>",
"code": 123
}Path Parameters
The ID of the job to create addresses
Response
A Job with status
Status of the job. Possible values - Success, In Progress, Failed
Example:
"Success"
Show child attributes
Show child attributes
Example:
[
{
"address": "addr_test1qp07k5kdwdfx4rpfqud8ry65acxgtgfgrxw0t35cwvl4uasjneqjdc868eqlex5p2f0nyekyyk4ze5xuanvj50ysrj3qqxqhsn",
"index": 0,
"description": "Address one"
}
]
Example:
"Asset not supported"
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<CreateMultipleDepositAddressesJobStatus>> = fireblocks.vaults.getCreateMultipleDepositAddressesJobStatus(vaultsApiGetCreateMultipleDepositAddressesJobStatusRequest);CompletableFuture<ApiResponse<CreateMultipleDepositAddressesJobStatus>> response = fireblocks.vaults().getCreateMultipleDepositAddressesJobStatus(jobId);response = fireblocks.vaults.get_create_multiple_deposit_addresses_job_status(job_id);